<?php


  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();



?>


@extends('layouts.master')
@section('titulo')
  {{ 'Administrar Camas' }}
@endsection

<?php

  $usuario = $_SESSION['usuario'];

  $decoded = $var->desencriptar_AES($usuario['tusuario'], $usuario['x']);
  $decoded2 = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
  $Centro_Sal  = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);

  $id_admin  = $var->desencriptar_AES($usuario['id_admin'], $usuario['x']);

?>
<script src="js/jquery-3.1.0.min.js"></script>
@section('navegacion_admin')
  @include('layouts.navegacion_admin')
@endsection


@section('titulo_pagina')
  <div class="titulo_pagina">
    <h2>ADMINISTRAR CAMAS DE ADMISIÓN</h2>
  </div>
@endsection

<link rel="stylesheet" href="css/bootstrap.css">
<link rel="stylesheet" href="css/admingeneral.css">
<link rel="stylesheet" href="css/usuarioGeneral.css">
<link rel="stylesheet" href="css/usuariocm.css">


<?php //<script src="js/jqv/dist/jquery.validate.js"></script> ?>
<script src="js/notify.js"></script>



<style media="screen">
  div.error {
    height: 15px;
    padding: 3px;
    background-color:rgba(0, 0, 0, 0.7);
    border-radius: 3px 3px 3px 3px;
    -moz-border-radius: 3px 3px 3px 3px;
    -webkit-border-radius: 3px 3px 3px 3px;
    font-size: 9pt;
    -webkit-box-shadow: 1px 2px 3px -1px rgba(0,0,0,0.75);
    -moz-box-shadow: 1px 2px 3px -1px rgba(0,0,0,0.75);
    box-shadow: 1px 2px 3px -1px rgba(0,0,0,0.75);

    float: right;
    text-align:left;
    color: #ffffff;
    animation: fadein 0.8s;
  }
</style>

<script type="text/javascript">
$(document).ready(function(){ 

 });


function ExisteError(objetoHTML) {

          if($("#" + objetoHTML + " #hError").val() != '0')
          {           
             var cError = $("#" + objetoHTML + " #hErrorDetalle").val();
             // console.log(cError);
            // $.notify(cError, "warn"); // Notificamos que fue recuperado el registro
          }
          else
          {
            jqGetAjax("cerrar","tblMovimientos", { });
          
          }

};


$(document).on('change', '#edit_vCat_CentroSalud #vCat_CentroSalud', function () { 
     var idCentroSal = $(this).val();
     
      jqGetAjaxShort('getLstServiciosAdmPorCs','edit_vCat_ServiciosAdm', {"centro_sal": idCentroSal });
      //jqGetAjax('getLstServiciosAdmPorCs','edit_vCat_ServiciosAdm', {'centro_sal': idCentroSal });
 });

$(document).on('change', '#edit_vCat_ServiciosAdm #vCat_ServiciosAdm', function () { 
    $('#tblServicios').addClass('hidden');
 });


$(document).on('click', '#objlistar #btn_listar_camas', function () { 
      var idCentroSal = $('#edit_vCat_CentroSalud #vCat_CentroSalud').val();
      var idServicio = $('#edit_vCat_ServiciosAdm #vCat_ServiciosAdm').val();
     
      if(idCentroSal=='0'){
        $.notify('No se ha especificado un centro de salud válido');
        $('#edit_vCat_CentroSalud #vCat_CentroSalud').focus();
        return false;
      }

      if(idServicio==''){
        $.notify('Favor de especificar Servicio');
        $('#edit_vCat_ServiciosAdm #vCat_ServiciosAdm').focus();
        return false;
      }
     jqGetAjax('getLstCamasAdmision','contenedor_tabla', {'centro_sal': idCentroSal,'idServicio': idServicio });
     
 });


$(document).on("click", '#contenedor_tabla #tblServicios .ConfRef #cmdStatus', function (){

     
     $tr = $(this).closest("tr");

     var NoCama=$tr.data("cama").trim(); 
     var idEspecialidad=$tr.data("idespecialidad");
     var idTipoServ=$tr.data("idservicio");
     var centro_sal=$tr.data("centrosal");
     
     jqGetAjaxShort("up_activoCamasAdmision","CambiaEstatusCama"+NoCama, {"centro_sal": centro_sal, "idTipoServ":idTipoServ, "idEspecialidad":idEspecialidad, "NoCama": NoCama   }, false);
     
   
   //jqSetMensaje("statusCama"+NoCama, $('#CambiaEstatusCama+NoCama')+" #h_Status".val(), null);
});
  

</script>

@section('content')
<div id="mensaje" name="mensaje"></div>

  <div id="contenedor">
    <form action="#" method="post" name="frm_listar" id="frm_listar" >

      <input type="hidden" name="_token" value="{{csrf_token()}}">
      <div class="row" id = "objlistar" name="objlistar">

        <br/>

        <div class="row">
          <div class="col-sm-4">
            <div class="input-group-sm form-group-sm">
              <label style="text-transform:uppercase">Centro de salud</label>
              <div id="edit_vCat_CentroSalud" name="edit_vCat_CentroSalud">
                <?php
                  $sessionID=(htmlspecialchars(session_id())); session_write_close();
                  if(strlen(rtrim($Centro_Sal))>0) echo $var->getView('Catalogos\VistasController@vCat_CentroSalud','Centro_Sal='.$Centro_Sal.'&disable=1&sessionID='.$sessionID);
                  else
                   echo $var->getView('Catalogos\VistasController@vCat_CentroSalud','Centro_Sal='.$Centro_Sal.'&disable=0&sessionID='.$sessionID);
              
                ?>
              </div>
            </div>
          </div>
     
          
        <div class="col-sm-3 form-group form-group-sm">
          <div class="input-group input-group-sm">
            <label style="text-transform:uppercase">Servicio</label>
            <div id="edit_vCat_ServiciosAdm" name ="edit_vCat_ServiciosAdm">
           
            </div>
          </div>
        </div>
        <div class="input-group-sm col-sm-1"><br>
            <button type="button"  id="btn_listar_camas" name="btn_listar_camas">Listar</button>
        </div>
      </div>

       

              
      </div>
      <br />
      

    <div id="contenedor_tabla"></div>
     <div><img id="cmdStatus"  name="cmdStatus" src="Img/Activar.png" width="20px" height="20px" title="Establecer en Activo el elemento" /> <span><b>Registro activo que se puede dar de baja al dar click sobre éste ícono</b></span>
      <br>
      <img id="cmdStatus"  name="cmdStatus" src="Img/Baja.png" width="20px" height="20px" title="Establecer en Activo el elemento" /> <span><b>Registro inactivo que se puede activar al dar click sobre éste ícono</b></span>
    </div>
    <div id="tblMovimientos" name="tblMovimientos"></div>
    <div id="divMensaje" name="divMensaje" style="height:20px;"></div>
    <br/>
  </form>
  </div>     

@endsection
